<?php
/*
Plugin Name: tigaman webdesign - Password Strength Checker
Plugin URI: https://www.tigaman.com
Description: A simple WordPress plugin to check the strength of passwords. Use the [twdpsc] shortcode
Version: 1.0
Author: tigaman
Author URI: https://www.tigaman.hu
License: GPL2
*/

// Enqueue necessary scripts and styles
function twdpsc_enqueue_scripts() {
    wp_enqueue_style('twdpsc-style', plugins_url('twdpsc.css', __FILE__));
    wp_enqueue_script('twdpsc-script', plugins_url('twdpsc.js', __FILE__), array('jquery'), null, true);
}
add_action('wp_enqueue_scripts', 'twdpsc_enqueue_scripts');

// Shortcode function to display Password Strength Checker
function twdpsc_shortcode() {
    ob_start();
    ?>
    <div id="twdpsc">
        <div id="twdpsc_checkmark"></div>
        <h2 class="twdpsc_title">Online Password Strength Checker</h2>
        <div id="checkmarkContainer"></div>
        <div class="twdpsc_input_container">
            <div class="twdpsc_contains_eight_characters twdpsc_input_container_check_item">8 Characters</div>
            <div class="twdpsc_contains_number twdpsc_input_container_check_item">Contains Number</div>
            <div class="twdpsc_contains_uppercase twdpsc_input_container_check_item">Contains Uppercase</div>
            <div class="twdpsc_contains_special_character twdpsc_input_container_check_item">Contains Special Character</div>
            <input type="password" oninput="checkPassword()" id="passwordInput" autocomplete="off" placeholder="Write or paste the password here" />
            <div class="twdpsc_copymessage">Password copied!</div>
            <div class="twdpsc_spsw" onclick="togglePasswordVisibility()">Show Password</div>
            <div class="twdpsc_cpsw" onclick="copyPassword()">Copy Password</div>
        </div>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('twdpsc', 'twdpsc_shortcode');
?>